## org.jfree.report.expressions.formula.sys
Class AttrFunctionDescription

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription
          org.jfree.report.expressions.formula.sys.AttrFunctionDescription

All Implemented Interfaces:
  java.io.Serializable, org.pentaho.reporting.libraries.formula.function.FunctionDescription

    public class AttrFunctionDescription

extends org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription

Creation-Date: 29.11.2006, 18:04:18

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`AttrFunctionDescription()`

Method Summary
`org.pentaho.reporting.libraries.formula.function.FunctionCategory` `getCategory()`
`java.lang.Object` `getDefaultValue(int position)` Returns the default value for an optional parameter.
`int` `getParameterCount()`
`org.pentaho.reporting.libraries.formula.typing.Type` `getParameterType(int position)`
`org.pentaho.reporting.libraries.formula.typing.Type` `getValueType()`
`boolean` `isInfiniteParameterCount()`
`boolean` `isParameterMandatory(int position)` Defines, whether the parameter at the given position is mandatory.

Methods inherited from class org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription
`getBundle, getCanonicalName, getDescription, getDisplayName, getParameterDescription, getParameterDisplayName, isVolatile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrFunctionDescription

    public AttrFunctionDescription()

Method Detail

### getParameterCount

    public int getParameterCount()

### isInfiniteParameterCount

    public boolean isInfiniteParameterCount()

  Specified by:
    `isInfiniteParameterCount` in interface `org.pentaho.reporting.libraries.formula.function.FunctionDescription`
  Overrides:
    `isInfiniteParameterCount` in class `org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription`

### getParameterType

    public org.pentaho.reporting.libraries.formula.typing.Type getParameterType(int position)

### getValueType

    public org.pentaho.reporting.libraries.formula.typing.Type getValueType()

### isParameterMandatory

    public boolean isParameterMandatory(int position)

  Defines, whether the parameter at the given position is mandatory. A mandatory parameter must be filled in, while optional parameters need not to be filled in.

  Returns:

### getDefaultValue

    public java.lang.Object getDefaultValue(int position)

  Returns the default value for an optional parameter. If the value returned here is null, then this either means, that the parameter is mandatory or that the default value is computed by the expression itself.

  Specified by:
    `getDefaultValue` in interface `org.pentaho.reporting.libraries.formula.function.FunctionDescription`
  Overrides:
    `getDefaultValue` in class `org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription`
  Parameters:
    `position` -
  Returns:

### getCategory

    public org.pentaho.reporting.libraries.formula.function.FunctionCategory getCategory()